## com.fasterxml.jackson.databind.deser.std
Class StdKeyDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.deser.std.StdKeyDeserializers

    public class StdKeyDeserializers

extends Object

Helper class used to contain simple/well-known key deserializers. Following kinds of Objects can be handled currently:

- Primitive wrappers (Boolean, Byte, Char, Short, Integer, Float, Long, Double)
- Enums (usually not needed, since EnumMap doesn't call us)
- `Date`
- `Calendar`
- `UUID`
- `Locale`
- Anything with constructor that takes a single String arg (if not explicitly @JsonIgnore'd)
- Anything with `static T valueOf(String)` factory method (if not explicitly @JsonIgnore'd)

Field Summary
`protected HashMap<JavaType,KeyDeserializer>` `_keyDeserializers`

Constructor Summary
`protected` `StdKeyDeserializers()`

Method Summary
`static HashMap<JavaType,KeyDeserializer>` `constructAll()`
`static KeyDeserializer` `constructDelegatingKeyDeserializer(DeserializationConfig config, JavaType type, JsonDeserializer<?> deser)`
`static KeyDeserializer` `constructEnumKeyDeserializer(EnumResolver<?> enumResolver)`
`static KeyDeserializer` `constructEnumKeyDeserializer(EnumResolver<?> enumResolver, AnnotatedMethod factory)`
`static KeyDeserializer` `constructStringKeyDeserializer(DeserializationConfig config, JavaType type)`
`static KeyDeserializer` `findStringBasedKeyDeserializer(DeserializationConfig config, JavaType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _keyDeserializers

    protected final HashMap<JavaType,KeyDeserializer> _keyDeserializers

Constructor Detail

### StdKeyDeserializers

    protected StdKeyDeserializers()

Method Detail

### constructAll

    public static HashMap<JavaType,KeyDeserializer> constructAll()

### constructStringKeyDeserializer

    public static KeyDeserializer constructStringKeyDeserializer(DeserializationConfig config,
                                                                 JavaType type)

### constructEnumKeyDeserializer

    public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver<?> enumResolver)

### constructEnumKeyDeserializer

    public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver<?> enumResolver,
                                                               AnnotatedMethod factory)

### constructDelegatingKeyDeserializer

    public static KeyDeserializer constructDelegatingKeyDeserializer(DeserializationConfig config,
                                                                     JavaType type,
                                                                     JsonDeserializer<?> deser)

### findStringBasedKeyDeserializer

    public static KeyDeserializer findStringBasedKeyDeserializer(DeserializationConfig config,
                                                                 JavaType type)

Copyright © 2012 FasterXML. All Rights Reserved.